
QGIS Application - Bug report #15246

'Snap geometries' plugin fails to process invalid geometries

2016-07-09 01:50 AM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23182

Description

In some cases the 'Snap geometries' plugin fails to process invalid geometries. So QGIS may crash.

History

#1 - 2016-07-09 02:00 AM - R. R.

- Assignee set to Sandro Mani

I hope it's okay to assign 'Check geometries' and 'Snap geometries' tickets to Sandro. Please let me know otherwise.

#2 - 2016-07-13 02:54 PM - Sandro Mani

- Status changed from Open to Closed

Fixed in commit:d5869cf

#3 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

Files

snap_geometries.zip 9.37 KB 2016-07-08 R. R.

snap_geometries.mp4 1.28 MB 2016-07-08 R. R.
